- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# TAO::Portable_Server Namespace Reference

## Classes
class | Active_Policy_Strategies
class | Adapter_Activator
class | Creation_Time
class | Temporary_Creation_Time
| Special creation time only useful in the lifetime of the upcall. More...
class | IdAssignmentPolicy
class | IdAssignmentStrategy
class | IdAssignmentStrategyFactory
class | IdAssignmentStrategyFactoryImpl
class | IdAssignmentStrategySystem
class | IdAssignmentStrategyUser
class | IdUniquenessPolicy
class | IdUniquenessStrategy
class | IdUniquenessStrategyFactory
class | IdUniquenessStrategyFactoryImpl
class | IdUniquenessStrategyMultiple
class | IdUniquenessStrategyUnique
class | IdUniquenessStrategyUniqueFactoryImpl
class | ImplicitActivationPolicy
class | ImplicitActivationStrategy
class | ImplicitActivationStrategyExplicit
class | ImplicitActivationStrategyFactory
class | ImplicitActivationStrategyFactoryImpl
class | ImplicitActivationStrategyImplicit
class | ImR_Client_Adapter
| IFR_Client_Adapter. More...
class | LifespanPolicy
class | LifespanStrategy
class | LifespanStrategyFactory
class | LifespanStrategyFactoryImpl
class | LifespanStrategyPersistent
class | LifespanStrategyPersistentFactoryImpl
class | LifespanStrategyTransient
class | LifespanStrategyTransientFactoryImpl
class | Non_Servant_Upcall
| This class helps us with a recursive thread lock without using a recursive thread lock. Non_Servant_Upcall has a magic constructor and destructor. We unlock the Object_Adapter lock for the duration of the non-servant (i.e., adapter activator and servant activator) upcalls; reacquiring once the upcalls complete. Even though we are releasing the lock, other threads will not be able to make progress since <Object_Adapter::non_servant_upcall_in_progress_> has been set. More...
class | Cached_Policies
class | POA_Current
class | POA_Current_Impl
| Implementation of the PortableServer::Current object. More...
class | POA_Guard
| POA_Guard. More...
class | Policy_Strategy
class | RequestProcessingPolicy
class | RequestProcessingStrategy
class | RequestProcessingStrategyAOMOnly
class | RequestProcessingStrategyAOMOnlyFactoryImpl
class | RequestProcessingStrategyDefaultServant
class | RequestProcessingStrategyDefaultServantFactoryImpl
class | RequestProcessingStrategyFactory
class | RequestProcessingStrategyFactoryImpl
class | RequestProcessingStrategyServantActivator
class | RequestProcessingStrategyServantActivatorFactoryImpl
class | RequestProcessingStrategyServantLocator
class | RequestProcessingStrategyServantLocatorFactoryImpl
class | RequestProcessingStrategyServantManager
class | Servant_Upcall
| This class finds out the POA and the servant to perform an upcall. It can only be instantiated without the object adapter's lock held. For each upcall a new instance of this class is created. More...
class | ServantRetentionPolicy
class | ServantRetentionStrategy
class | ServantRetentionStrategyFactory
class | ServantRetentionStrategyFactoryImpl
class | ServantRetentionStrategyNonRetain
class | ServantRetentionStrategyNonRetainFactoryImpl
class | ServantRetentionStrategyRetain
class | ServantRetentionStrategyRetainFactoryImpl
class | StrategyFactory
class | ThreadPolicy
class | ThreadStrategy
class | ThreadStrategyFactory
class | ThreadStrategyFactoryImpl
class | ThreadStrategyORBControl
class | ThreadStrategySingle
class | ThreadStrategySingleFactoryImpl
## Functions
template<typename T, typename RET_ARG_TYPE>
RET_ARG_TYPE | get_ret_arg (TAO_Operation_Details const *details, TAO::Argument *const *skel_args)
| Get return value/argument.
template<typename T, typename IN_ARG_TYPE>
IN_ARG_TYPE | get_in_arg (TAO_Operation_Details const *details, TAO::Argument *const *skel_args, size_t i)
| Get "in" argument.
template<typename T, typename INOUT_ARG_TYPE>
INOUT_ARG_TYPE | get_inout_arg (TAO_Operation_Details const *details, TAO::Argument *const *skel_args, size_t i)
| Get "inout" argument.
template<typename T, typename OUT_ARG_TYPE>
OUT_ARG_TYPE | get_out_arg (TAO_Operation_Details const *details, TAO::Argument *const *skel_args, size_t i)
| Get "out" argument.

## Function Documentation

template<typename T, typename RET_ARG_TYPE>

RET_ARG_TYPE TAO::Portable_Server::get_ret_arg | ( | TAO_Operation_Details const * | details,
|  | TAO::Argument *const * | skel_args |
| ) |  |  |

Get return value/argument.

Note:
  It is possible to determine the return argument type using typedef traits found in the TAO::SArg_Traits<> template. However, MSVC++ 6 does not support them properly. Until we drop MSVC++ 6 support, we'll have to pass the return argument type in an additional template parameter.

Todo:
  Drop second template parameter, and replace " @c RET_ARG_TYPE " return type with " @c typename TAO::SArg_Traits<T>::ret_arg_type ".

template<typename T, typename IN_ARG_TYPE>

IN_ARG_TYPE TAO::Portable_Server::get_in_arg | ( | TAO_Operation_Details const * | details,
|  | TAO::Argument *const * | skel_args,
|  | size_t | i |
| ) |  |  |

Get "in" argument.

See also:
  `get_ret_arg` note to understand why we currently use a second template parameter.

Todo:
  Drop second template parameter, and replace " @c IN_ARG_TYPE " return type with " @c typename TAO::SArg_Traits<T>::in_arg_type ".

template<typename T, typename INOUT_ARG_TYPE>

INOUT_ARG_TYPE TAO::Portable_Server::get_inout_arg | ( | TAO_Operation_Details const * | details,
|  | TAO::Argument *const * | skel_args,
|  | size_t | i |
| ) |  |  |

Get "inout" argument.

See also:
  `get_ret_arg` note to understand why we currently use a second template parameter.

Todo:
  Drop second template parameter, and replace " @c INOUT_ARG_TYPE " return type with " @c typename TAO::SArg_Traits<T>::inout_arg_type ".

template<typename T, typename OUT_ARG_TYPE>

OUT_ARG_TYPE TAO::Portable_Server::get_out_arg | ( | TAO_Operation_Details const * | details,
|  | TAO::Argument *const * | skel_args,
|  | size_t | i |
| ) |  |  |

Get "out" argument.

See also:
  `get_ret_arg` note to understand why we currently use a second template parameter.

Todo:
  Drop second template parameter, and replace " @c OUT_ARG_TYPE " return type with " @c typename TAO::SArg_Traits<T>::out_arg_type ".